List case checks
curl --request GET \
--url https://instance.prod.onboardapp.io/v1/cases/{case_token}/checks \
--header 'X-API-KEY: <api-key>'import requests
url = "https://instance.prod.onboardapp.io/v1/cases/{case_token}/checks"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://instance.prod.onboardapp.io/v1/cases/{case_token}/checks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"token": "chk_5n8p3q1r",
"entity_token": "<string>",
"type_code": "<string>",
"provider": "WorldCheck",
"result_data": {},
"alerts_generated": 123,
"waive_reason": "<string>",
"retry_count": 0,
"valid_until": "2023-11-07T05:31:56Z",
"executed_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"request_id": "req_9k4m2n1p3q",
"page": {
"cursor": "<string>",
"has_more": true
}
}
}{
"error": {
"message": "<string>",
"request_id": "req_9k4m2n1p3q",
"details": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}
}{
"error": {
"message": "<string>",
"request_id": "req_9k4m2n1p3q",
"details": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}
}{
"error": {
"message": "<string>",
"request_id": "req_9k4m2n1p3q",
"details": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}
}{
"error": {
"message": "<string>",
"request_id": "req_9k4m2n1p3q",
"details": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}
}Cases
List case checks
Retrieve all verification checks across all entities in a case. Includes check status, result, and provider information.
GET
/
v1
/
cases
/
{case_token}
/
checks
List case checks
Authorizations
Project-scoped API key for server-to-server authentication. Obtain keys from the Zenoo dashboard under Project Settings > API Keys. Staging and production environments use separate keys.
Path Parameters
Case token.
Query Parameters
Pagination cursor from a previous response. Pass to fetch the next page.
Maximum number of items to return per page.
Required range:
1 <= x <= 100Filter by check status.
Available options:
Pending, Queued, In Progress, Awaiting Document, Awaiting Client, Complete, Failed, Waived, Cancelled, Reused, Retry Scheduled ⌘I